<?php

namespace App\Entity;


use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;


class Category
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 30)]
    private ?string $label = null;

    #[ORM\ManyToOne(targetEntity: Mission::class, inversedBy: 'category')]
    private ?Mission $mission = null;

    #[ORM\ManyToOne(targetEntity: MissionCategory::class, inversedBy: 'category')]
    private Collection $missionCategory;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function setId(int $id): static
    {
        $this->id = $id;

        return $this;
    }

    public function getLabel(): ?string
    {
        return $this->label;
    }

    public function setLabel(string $label): static
    {
        $this->label = $label;

        return $this;
    }

    public function getMission(): ?Mission
    {
        return $this->mission;
    }

    public function setMission(?Mission $mission): void
    {
        $this->mission = $mission;
    }

    public function getMissionCategory(): Collection
    {
        return $this->missionCategory;
    }

    public function setMissionCategory(Collection $missionCategory): void
    {
        $this->missionCategory = $missionCategory;
    }




}

